# org.pdfclown.documents.PageFormat Class Reference

Page format. More...

List of all members.

## Public Types
enum | OrientationEnum { Portrait, Landscape }
| Page orientation. More...
enum | SizeEnum { A0, A1, A2, A3, A4, A5, A6, A7, A8, A9, A10, B0, B1, B2, B3, B4, B5, B6, B7, B8, B9, B10, C0, C1, C2, C3, C4, C5, C6, C7, C8, C9, C10, Letter, Legal, Executive, Statement, Tabloid, ArchA, ArchB, ArchC, ArchD, ArchE, AnsiA, AnsiB, AnsiC, AnsiD, AnsiE }
| Paper size. More...
## Static Public Member Functions
static Size | GetSize (SizeEnum size, OrientationEnum orientation)
| Gets the page size of the given format and orientation.
static Size | GetSize (SizeEnum size)
| Gets the page size of the given format, portrait orientation.
static Size | GetSize ()
| Gets the default page size.

##

Page format.

This utility provides an easy access to the dimension of common page formats.

## Member Enumeration Documentation

enum org::pdfclown::documents::PageFormat::OrientationEnum

Page orientation.

Enumerator:

  Portrait |
  Landscape |

enum org::pdfclown::documents::PageFormat::SizeEnum

Paper size.

References:

- { 'A' digit+ }: [ISO 216] "A" series: Paper and boards, trimmed sizes.
- { 'B' digit+ }: [ISO 216] "B" series: Posters, wall charts and similar items.
- { 'C' digit+ }: [ISO 269] "C" series: Envelopes or folders suitable for A-size stationery.
- { 'Ansi' letter }: [ANSI/ASME Y14.1] ANSI series: US engineering drawing series.
- { 'Arch' letter }: Architectural series.
- { "Letter", "Legal", "Executive", "Statement", "Tabloid" }: Traditional north-american sizes.

Enumerator:

  A0 |
  A1 |
  A2 |
  A3 |
  A4 |
  A5 |
  A6 |
  A7 |
  A8 |
  A9 |
  A10 |
  B0 |
  B1 |
  B2 |
  B3 |
  B4 |
  B5 |
  B6 |
  B7 |
  B8 |
  B9 |
  B10 |
  C0 |
  C1 |
  C2 |
  C3 |
  C4 |
  C5 |
  C6 |
  C7 |
  C8 |
  C9 |
  C10 |
  Letter |
  Legal |
  Executive |
  Statement |
  Tabloid |
  ArchA |
  ArchB |
  ArchC |
  ArchD |
  ArchE |
  AnsiA |
  AnsiB |
  AnsiC |
  AnsiD |
  AnsiE |

## Member Function Documentation

static Size org.pdfclown.documents.PageFormat.GetSize | ( | SizeEnum | size,
|  | OrientationEnum | orientation |
| ) |  |  | `[static]`

Gets the page size of the given format and orientation.

Parameters:

  | size | Page size.
  | orientation | Page orientation.

static Size org.pdfclown.documents.PageFormat.GetSize | ( | SizeEnum | size | ) | `[static]`

Gets the page size of the given format, portrait orientation.

Parameters:

  | size | Page size.

References org.pdfclown.documents.PageFormat.GetSize().

Referenced by org.pdfclown.documents.PageFormat.GetSize().

static Size org.pdfclown.documents.PageFormat.GetSize | ( |  | ) | `[static]`

Gets the default page size.

The returned dimension corresponds to the widely-established ISO A4 standard paper format, portrait orientation.

References org.pdfclown.documents.PageFormat.GetSize().

Referenced by org.pdfclown.documents.PageFormat.GetSize().

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.